Bug 787972 - Review Request: ghc-dotgen - Simple interface to build .dot graph files
Review Request: ghc-dotgen - Simple interface to build .dot graph files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 01:41 EST by Shakthi Kannan
Modified: 2012-04-21 23:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-dotgen-0.4.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-14 00:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-02-07 01:41:46 EST
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-dotgen.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-dotgen-0.4.1-1.fc15.src.rpm
Description: ghc-dotgen provides a simple interface to build .dot graph files for graphviz tools
Comment 1 Shakthi Kannan 2012-02-07 01:44:08 EST
$  rpmlint ghc-dotgen.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-dotgen-0.4.1-1.fc15.x86_64.rpm 
ghc-dotgen.x86_64: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-dotgen-devel-0.4.1-1.fc15.x86_64.rpm 
ghc-dotgen-devel.x86_64: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint ghc-dotgen-0.4.1-1.fc15.src.rpm 
ghc-dotgen.src: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Successful Koji builds for F15, F16 and F17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3768021
http://koji.fedoraproject.org/koji/taskinfo?taskID=3768024
http://koji.fedoraproject.org/koji/taskinfo?taskID=3768025
Comment 3 Narasimhan 2012-04-07 07:01:51 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-dotgen-0.4.1-1.fc15.src.rpm ghc-dotgen-devel-0.4.1-1.fc15.x86_64.rpm ghc-dotgen-0.4.1-1.fc15.x86_64.rpm ../ghc-dotgen.spec 
ghc-dotgen.src: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
The value of this tag appears to be misspelled. Please double-check.

ghc-dotgen-devel.x86_64: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
The value of this tag appears to be misspelled. Please double-check.

ghc-dotgen.x86_64: W: spelling-error %description -l en_US graphviz -> graph viz, graph-viz, graphic
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum ghc-dotgen-0.4.1-1.fc15.src/dotgen-0.4.1.tar.gz 
bb99f1ddc40476491ac69aacc8105ec5  ghc-dotgen-0.4.1-1.fc15.src/dotgen-0.4.1.tar.gz

md5sum dotgen-0.4.1.tar.gz 
bb99f1ddc40476491ac69aacc8105ec5  dotgen-0.4.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-dotgen-0.4.1
error: Failed dependencies:
	ghc(dotgen-0.4.1) = f8c667912b1f96e3b2603b1f685f8894 is needed by (installed) ghc-dotgen-devel-0.4.1-1.fc15.x86_64
	ghc-dotgen = 0.4.1-1.fc15 is needed by (installed) ghc-dotgen-devel-0.4.1-1.fc15.x86_64
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded Text.Dot into ghci
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Shakthi Kannan 2012-04-08 10:17:39 EDT
New Package SCM Request
=======================
Package Name: ghc-dotgen
Short Description: Simple interface to build .dot graph files
Owners: shakthimaan
Branches: f15 f16 f17
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2012-04-09 08:19:50 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-04-10 03:14:59 EDT
ghc-dotgen-0.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-dotgen-0.4.1-1.fc15
Comment 7 Fedora Update System 2012-04-10 03:15:10 EDT
ghc-dotgen-0.4.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-dotgen-0.4.1-1.fc16
Comment 8 Fedora Update System 2012-04-10 03:15:20 EDT
ghc-dotgen-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-dotgen-0.4.1-1.fc17
Comment 9 Fedora Update System 2012-04-10 16:14:01 EDT
Package ghc-dotgen-0.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-dotgen-0.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5557/ghc-dotgen-0.4.1-1.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-04-14 00:28:26 EDT
ghc-dotgen-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-04-21 23:32:05 EDT
ghc-dotgen-0.4.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-21 23:46:20 EDT
ghc-dotgen-0.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.